Package org.apache.sling.testing.timeouts

# Class TimeoutsProvider

java.lang.Object
org.apache.sling.testing.timeouts.TimeoutsProvider

public class TimeoutsProvider extends Object
Return timeout values that can be multiplied by a configurable factor. Useful to cope with slower integration testing systems: use timeout constants in your code that work for usual development systems, and set a multiplier when running on a slower system.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROP_TIMEOUT_MULTIPLIER`

## Method Summary

Modifier and Type
Method
Description
`static TimeoutsProvider`
`getInstance()`
`int`
`getTimeout(int nomimalValue)`
`long`
`getTimeout(long nomimalValue)`
`int`
`getTimeout(String systemPropertyName, int defaultNominalValue)`
Get timeout from a system property, with default value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROP_TIMEOUT_MULTIPLIER

public static final String PROP_TIMEOUT_MULTIPLIER

See Also:
  - Constant Field Values

## Method Details

### getInstance

public static TimeoutsProvider getInstance()

Returns:
  the instance of the singleton

### getTimeout

public long getTimeout(long nomimalValue)

Parameters:
  `nomimalValue` - base number to be multiplied internally with the factor
Returns:
  the new timeout

### getTimeout

public int getTimeout(int nomimalValue)

Parameters:
  `nomimalValue` - base number to be multiplied internally with the factor
Returns:
  the new timeout

### getTimeout

public int getTimeout(String systemPropertyName, int defaultNominalValue)
Get timeout from a system property, with default value

Parameters:
  `systemPropertyName` - the name of the system prop from which to get the timeout
  `defaultNominalValue` - default value in case the property does not exist
Returns:
  the timeout